ClassicEscalatableCreator (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.events.server.session.ClassicEscalatableCreator class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.events.server.session
Class ClassicEscalatableCreator

    java.lang.Object
      org.hyperic.hq.events.server.session.ClassicEscalatableCreator

All Implemented Interfaces:
  EscalatableCreator

    public class ClassicEscalatableCreator

extends java.lang.Object
implements EscalatableCreator

This class has the knowledge to create an `Escalatable` object based on a `TriggerFiredEvent` if the escalation subsytem deems it necessary.

Constructor Summary
`ClassicEscalatableCreator(AlertDefinition def, AlertConditionsSatisfiedZEvent event, MessagePublisher messenger, org.hyperic.hq.events.shared.AlertManagerLocal alertMan)` Creates an instance.

Method Summary
`Escalatable` | `createEscalatable()` In the classic escalatable architecture, we still need to support the execution of the actions defined for the regular alert defintion (in addition to executing the actions specified by the escalation).
`static Escalatable` | `createEscalatable(Alert alert, java.lang.String shortReason, java.lang.String longReason)`
`AlertDefinitionInterface` | `getAlertDefinition()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassicEscalatableCreator

    public ClassicEscalatableCreator(AlertDefinition def,
                                     AlertConditionsSatisfiedZEvent event,
                                     MessagePublisher messenger,
                                     org.hyperic.hq.events.shared.AlertManagerLocal alertMan)

  Creates an instance.

  Parameters:
    `def` - The alert definition.
    `event` - The event that triggered the escalation.
    `messenger` - The messenger to use for publishing AlertFiredEvents
    `alertMan` - The alert manager to use

Method Detail

### createEscalatable

    public Escalatable createEscalatable()
                                  throws ResourceDeletedException

  In the classic escalatable architecture, we still need to support the execution of the actions defined for the regular alert defintion (in addition to executing the actions specified by the escalation). Here, we generate the alert and also execute the old-skool actions. May or may not be the right place to do that.

  Specified by:
    `createEscalatable` in interface `EscalatableCreator`
  Throws:
    `ResourceDeletedException`

### getAlertDefinition

    public AlertDefinitionInterface getAlertDefinition()

  Specified by:
    `getAlertDefinition` in interface `EscalatableCreator`

### createEscalatable

    public static Escalatable createEscalatable(Alert alert,
                                                java.lang.String shortReason,
                                                java.lang.String longReason)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.